/**   
* @Title: ResponseParamater.java 
* @Package com.platform.response.prereg.xml 
* @Description: TODO(用一句话描述该文件做什么) 
* @author kiosk
* @date 2017年12月13日 上午10:44:21 
* @version V1.0   
*/
package com.platform.response.prereg.xml;

import java.io.Serializable;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import com.platform.pojo.*;

/** 
* @ClassName: ResponseParamater 
* @Description: TODO(这里用一句话描述这个类的作用) 
* @author kiosk
* @date 2017年12月13日 上午10:44:21 
*  
*/
@XmlRootElement(name="response")
@XmlType(propOrder = { "code", "msg", "sign","sections","doctors","tickets","sectionTypes","orderTickets","patients"})
public class ResponseParameter implements Serializable{

	/** 
	* @Fields serialVersionUID : TODO(用一句话描述这个变量表示什么) 
	*/ 
	private static final long serialVersionUID = -5796466805133034360L;

	private String code;//返回代码
	private String msg;//返回信息
	private String sign;//签名信息
	private List<Section> sections;//科室list列表 
	private List<Doctor> doctors;//医生list列表
	private List<Ticket> tickets;//可预约号表list
	private List<SectionType> sectionTypes;//科室大类list
	private List<OrderTicket> orderTickets;//预约记录list
	private List<PreregedPatient> patients;//预约病人list

	@XmlElementWrapper(name = "orderTickets")
	@XmlElement(name = "orderTicket")
	public List<OrderTicket> getOrderTickets() {
		return orderTickets;
	}

	public void setOrderTickets(List<OrderTicket> orderTickets) {
		this.orderTickets = orderTickets;
	}

	/**
	 * @return the code
	 */
	@XmlElement(name = "code") 
	public String getCode() {
		return code;
	}

	/**
	 * @param code the code to set
	 */
	public void setCode(String code) {
		this.code = code;
	}

	/**
	 * @return the msg
	 */
	@XmlElement(name = "msg") 
	public String getMsg() {
		return msg;
	}

	/**
	 * @param msg the msg to set
	 */
	public void setMsg(String msg) {
		this.msg = msg;
	}

	/**
	 * @return the sections
	 */
	@XmlElementWrapper(name = "sections")  
    @XmlElement(name = "section") 
	public List<Section> getSections() {
		return sections;
	}

	/**
	 * @param sections the sections to set
	 */
	public void setSections(List<Section> sections) {
		this.sections = sections;
	}

	/**
	 * @return the sign
	 */
	@XmlElement(name = "sign") 
	public String getSign() {
		return sign;
	}

	/**
	 * @param sign the sign to set
	 */
	public void setSign(String sign) {
		this.sign = sign;
	}

	/**
	 * @return the doctors
	 */
	@XmlElementWrapper(name = "doctors")  
    @XmlElement(name = "doctor")
	public List<Doctor> getDoctors() {
		return doctors;
	}

	/**
	 * @param doctors the doctors to set
	 */
	public void setDoctors(List<Doctor> doctors) {
		this.doctors = doctors;
	}

	/**
	 * @return the tickets
	 */
	@XmlElementWrapper(name = "tickets")  
    @XmlElement(name = "ticket") 
	public List<Ticket> getTickets() {
		return tickets;
	}

	/**
	 * @param tickets the tickets to set
	 */
	public void setTickets(List<Ticket> tickets) {
		this.tickets = tickets;
	}

	/**
	 * @return the sectionTypes
	 */
	@XmlElementWrapper(name = "sectionTypes")  
    @XmlElement(name = "sectionType")
	public List<SectionType> getSectionTypes() {
		return sectionTypes;
	}

	/**
	 * @param sectionTypes the sectionTypes to set
	 */
	public void setSectionTypes(List<SectionType> sectionTypes) {
		this.sectionTypes = sectionTypes;
	}

	@XmlElementWrapper(name = "patients")
	@XmlElement(name = "patient")
	public List<PreregedPatient> getPatients() {
		return patients;
	}

	public void setPatients(List<PreregedPatient> patients) {
		this.patients = patients;
	}
}
